summaryrefslogtreecommitdiff
path: root/bg1/install-patch-intl.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
committerNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
commit1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513 (patch)
treeac5ca6418afec68f5f5c3f2f84601559d41d144b /bg1/install-patch-intl.sh
downloadgemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.tar.bz2
gemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.zip
Initial import
Diffstat (limited to 'bg1/install-patch-intl.sh')
-rwxr-xr-xbg1/install-patch-intl.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
new file mode 100755
index 0000000..5126ec7
--- /dev/null
+++ b/bg1/install-patch-intl.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# BG1 official international patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin unzip unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
+
+unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || die
+unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || die
+
+LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
+cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || die
+
+cleanuptmp
+setperms "$TARGETDIR"